%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Crypt-SmbHash

Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	This module generates Lanman and NT MD4 style password hashes, using perl-only code for portability.
Name:		perl-%{perlname}
Version:	0.12
Release:	6
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Crypt+SmbHash
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
This module generates Lanman and NT MD4 style password hashes,
using perl-only code for portability.
The module aids in the administration of Samba style systems.
For more details see: http://search.cpan.org/~bjkuit/Crypt-SmbHash-0.12/

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.12-6
- Rebuild against perl 5.10.0
* Sun May 14 2006 Christian Wasem <wasem@ccux-linux.de> 0.12-5
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.12-4
- Rebuild against perl-5.8.7
* Fri Dec 02 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.12-3
- rebuild, removed wrong vendor flag
* Sat Nov 19 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.12-2
- rebuild, removed wrong Obsoletes-Tag
* Sat Jul 09 2005 Christian Wasem <wasem@ccux-linux.de> 0.12-1
- Initial Release  
